# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOCommitData

Packages that use CDOCommitData
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommitData in org.eclipse.emf.cdo.common.commit

Subinterfaces of CDOCommitData in org.eclipse.emf.cdo.common.commit
Modifier and Type
Interface
Description
`static interface`
`CDOCommitHistory.TriggerLoadElement`
A virtual `history` element that can be returned from `IContainer.getElements()` if `CDOCommitHistory.isAppendingTriggerLoadElement()` is `true` to indicate that the history is not `fully` loaded, yet.
`interface`
`CDOCommitInfo`
`Commit data` in the context of a `commit info manager` with additional commit informations.

## Uses of CDOCommitData in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOCommitData
Modifier and Type
Method
Description
`CDOCommitData`
CDODataInput.`readCDOCommitData()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOCommitData
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOCommitData(CDOCommitData commitData)`

## Uses of CDOCommitData in org.eclipse.emf.cdo.session

Subinterfaces of CDOCommitData in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDOSessionInvalidationEvent`
A `session event` fired when passive updates (commit notifications) are being received from a remote repository.

## Uses of CDOCommitData in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOCommitData
Modifier and Type
Method
Description
`static CDOCommitData`
CDOCommitInfoUtil.`createCommitData(List<CDOPackageUnit> newPackageUnits, List<CDOIDAndVersion> newObjects, List<CDORevisionKey> changedObjects, List<CDOIDAndVersion> detachedObjects)`
`CDOCommitData`
InternalCDOCommitInfoManager.CommitInfoLoader.`loadCommitData(long timeStamp)`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOCommitData
Modifier and Type
Method
Description
`CDOCommitInfo`
InternalCDOCommitInfoManager.`createCommitInfo(CDOBranch branch, long timeStamp, long previousTimeStamp, String userID, String comment, CDOBranchPoint mergeSource, CDOCommitData commitData)`
`CDOCommitInfo`
InternalCDOCommitInfoManager.`createCommitInfo(CDOBranch branch, long timeStamp, long previousTimeStamp, String userID, String comment, CDOCommitData commitData)`

## Uses of CDOCommitData in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOCommitData
Modifier and Type
Method
Description
`CDOCommitData`
CDODataInputImpl.`readCDOCommitData()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOCommitData
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOCommitData(CDOCommitData commitData)`

## Uses of CDOCommitData in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOCommitData
Modifier and Type
Method
Description
`CDOCommitData`
StoreAccessorBase.CommitDataRevisionHandler.`getCommitData()`
`CDOCommitData`
StoreAccessorBase.`loadCommitData(long timeStamp)`

## Uses of CDOCommitData in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOCommitData
Modifier and Type
Method
Description
`CDOCommitData`
CDOCommitContext.`getCommitData()`

## Uses of CDOCommitData in org.eclipse.emf.spi.cdo

Subinterfaces of CDOCommitData in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSessionInvalidationEvent`
A `session invalidation event` with `security impact information`.
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommitData
Modifier and Type
Method
Description
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitDelegation(CDOBranch branch, String userID, String comment, CDOCommitData commitData, Map<CDOID,EClass> detachedObjectTypes, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitTransaction(int transactionID, String comment, boolean releaseLocks, CDOIDProvider idProvider, CDOCommitData commitData, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.